## golang-github-varlink-go 0.3.0

=== Makefile ===
all: cmd/varlink-go-certification/orgvarlinkcertification/orgvarlinkcertification.go
	go test ./...

cmd/varlink-go-certification/orgvarlinkcertification/orgvarlinkcertification.go: cmd/varlink-go-certification/orgvarlinkcertification/org.varlink.certification.varlink
	go generate cmd/varlink-go-certification/orgvarlinkcertification/generate.go

.PHONY: all

## golang-github-varlink-go 0.0+git20191018.4ecdbb8

=== debian/changelog ===
golang-github-varlink-go (0.0+git20191018.4ecdbb8-1) unstable; urgency=medium

  * Initial release (Closes: #943743).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Oct 2019 14:18:25 +1100

=== debian/control ===
Source: golang-github-varlink-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-fatih-color-dev,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-varlink-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-varlink-go.git
Homepage: https://github.com/varlink/go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/varlink/go

Package: golang-github-varlink-go-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-fatih-color-dev,
Description: Golang implementation of the Varlink protocol
 Golang library implementing the Varlink protocol.
 http://varlink.org/

Package: varlink-go
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Varlink interface generator utility
 Utility to generate Varlink interfaces.

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=0.0+git%cd.%h,\
repack,compression=xz,repacksuffix=+dfsg,\
" https://github.com/varlink/go.git \
  heads/master

## golang-github-varlink-go 0.3.0

=== debian/changelog ===
golang-github-varlink-go (0.3.0-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:52:32 +0000

golang-github-varlink-go (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated "watch" file to track releases.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2019 13:34:45 +1100

golang-github-varlink-go (0.0+git20191018.4ecdbb8-2) unstable; urgency=medium

  * Corrected Build-Depends for arch-any build.
  * Standards-Version: 4.4.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Nov 2019 09:19:26 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: golang-github-varlink-go
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends:
- debhelper-compat (= 12),
- dh-golang,
-Build-Depends-Indep:
- golang-any,
- golang-github-fatih-color-dev,
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12)
+    ,dh-golang
+    ,golang-any
+    ,golang-github-fatih-color-dev
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-varlink-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-varlink-go.git
 Homepage: https://github.com/varlink/go

## golang-github-varlink-go 0.4.0

=== debian/changelog ===
golang-github-varlink-go (0.4.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 08:40:22 +1000

golang-github-varlink-go (0.4.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 09:02:25 +1000

golang-github-varlink-go (0.4.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:19:45 +0530

golang-github-varlink-go (0.4.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:52 +1200

golang-github-varlink-go (0.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 20:03:40 +0000

golang-github-varlink-go (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Nov 2020 21:06:58 +1100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
     ,dh-golang
     ,golang-any
     ,golang-github-fatih-color-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-varlink-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-varlink-go.git
 Homepage: https://github.com/varlink/go

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_EXCLUDES :=

export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type f -name '*.varlink')
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang


override_dh_auto_configure:
	HOME=$(CURDIR)/debian/tmp \
        $(MAKE) cmd/varlink-go-certification/orgvarlinkcertification/orgvarlinkcertification.go
	dh_auto_configure

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/varlink/go/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz
